{% load tags %}
<div class="row schedule-option-btns">
  <button type="button"
    id="primary_schedule"
    class="btn btn-sm active">
    {% trans "Основное расписание" %}
  </button>
  <button type="button"
    id="second_schedule"
    class="btn btn-sm">
    {% trans "Дополнительное расписание" %}
  </button>
</div>
<div class="schedule-option-tab collapse"
  id="collapsePrimary">
  <div class="row schedule-status">
    {% trans "Статус основного расписания" %}
    <div class="schedule-status-btns">
      <label
        class="btn btn-small btn-outline-green {% if not station.schedule %}disabled{% else %}{% if station.schedule.active %}active{% endif %}{% endif %}">
        {% trans "Планируется" %}
        <input type="radio"
          id="active-status"
          class="btn-check"
          name="status"
          value="active"
          {% if station.schedule.active %}checked{% endif %}>
      </label><label
        class="btn btn-small btn-outline-red {% if not station.schedule %}disabled{% else %}{% if not station.schedule.active  %}active{% endif %}{% endif %}">
        {% trans "Не планируется" %}
        <input type="radio"
          id="inactive-status"
          class="btn-check"
          name="status"
          value="inactive"
          {% if not station.schedule.active  %}checked{% endif %}>
      </label>
    </div>
  </div>
  <div class="schedule-options tables-filtering">
    <strong>Добавить спутник в основное расписание</strong>
    <div class="tables-filtering__form">
      <div class="col form-group">
        <label>
          {% trans "Спутник" %}
          <select class="form-control selectpicker"
            data-style="btn"
            name="satellite"
            autocomplete="off"
            id="satellite-selection"
            data-size="10"
            data-live-search="true"
            data-live-search-placeholder="{% trans 'NORAD | Название спутника | Позывной' %}">
            <option value=""
              selected
              disabled>{% trans "Выберите спутник" %}</option>
          </select>
        </label>
      </div>
      <div class="col form-group">
        <label>
          {% trans 'Передатчик' %}
          <div id="transmitter-field-loading"
            class="col-sm-9 loading-field">
            <div class="spinner">
              <div class="bounce1"></div>
              <div class="bounce2"></div>
              <div class="bounce3"></div>
            </div>
          </div>
          <div class=""
            id="transmitter-field">
            <select id="transmitter-selection"
              class="form-control selectpicker"
              data-style="btn"
              disabled
              name="transmitter"
              data-size="20"
              autocomplete="off">
              <option id="no-transmitter"
                value=""
                selected>{% trans "Нет доступных передатчиков" %}</option>
            </select>
          </div>
        </label>
      </div>
      <div class="col add-btn">
        <button type="button"
          id="add-button"
          class="btn btn-sm btn-orange"
          disabled>
          {% trans "Добавить спутник в основное расписание" %}
        </button>
      </div>
    </div>
  </div>
  <div class="more-settings">
    <a role="button"
      id="advanced-options"
      class="btn btn-sm more-settings-btn">
      {% trans "Больше настроек" %}
    </a>
    <div class="more-options">
      <button type="button"
        id="set-parameters"
        class="btn btn-sm btn-green"
        disabled>
        {% trans "Обновить параметры" %}
      </button>
      <div class="row">
        <div class="col title">{% trans "Минимальный горизонт наблюдения" %}</div>
        <div class="col buttons"
          id="horizon-status">
          <label class="btn btn-sm btn-outline-gray active"
            id="default-horizon">
            <input type="radio"
              name="horizon"
              value="{{station.horizon}}"
              autocomplete="off">
            {% trans "Горизонт станции" %}
          </label>
          <label class="btn btn-sm btn-outline-gray"
            id="custom-horizon">
            <input type="radio"
              name="horizon"
              value="custom"
              autocomplete="off">
            {% trans "Установить свой" %}
          </label>
        </div>
      </div>
      <div class="row">
        <div class="col title">{% trans "Максимальное возвышение спутника" %}</div>
        <div class="col buttons"
          id="culmination-status">
          <label class="btn btn-sm btn-outline-gray active"
            id="default-culmination">
            <input type="radio"
              name="culmination"
              value="0,90"
              autocomplete="off">
            {% trans "По-умолчанию (90°)"%}
          </label>
          <label class="btn btn-sm btn-outline-gray"
            id="custom-culmination">
            <input type="radio"
              name="culmination"
              value="custom"
              autocomplete="off">
            {% trans "Установить свой" %}
          </label>
        </div>
      </div>
      <div class="row"
        id="split-duration-formgroup">
        <div class="col title">{% trans "Длительность наблюдения" %}</div>
        <div class="col buttons"
          id="split-duration-status">
          <label class="btn btn-sm btn-outline-gray active"
            id="default-split-duration">
            <input type="radio"
              name="split_duration"
              value="{{ split.duration }}"
              data-min="{{ obs_min_duration }}"
              autocomplete="off">
            {% trans "По-умолчанию" %} ({{ split.duration }}{% trans 'с' %})
            </input>
          </label>
          <label class="btn btn-sm btn-outline-gray"
            id="custom-split-duration">
            <input type="radio"
              name="split_duration"
              value="custom"
              autocomplete="off">
            {% trans "Произвольное" %}
            </input>
          </label>
        </div>
      </div>
      <div class="row">
        <div class="col title">{% trans "Длительность паузы между наблюдениями" %}</div>
        <div class="col buttons"
          id="break-duration-status">
          <label class="btn btn-sm btn-outline-gray active"
            id="default-break-duration">
            <input type="radio"
              name="break_duration"
              value="{{ split.break }}"
              autocomplete="off">
            {% trans "По-умолчанию" %} ({{ split.break }}{% trans 'с' %})
            </input>
          </label>
          <label class="btn btn-sm btn-outline-gray"
            id="custom-break-duration">
            <input type="radio"
              name="break_duration"
              value="custom"
              autocomplete="off">
            {% trans "Произвольное" %}
            </input>
          </label>
        </div>
      </div>
      <div class="row">
        <div class="col title">{% trans "Начальный и конечный азимуты" %}</div>
        <div class="col buttons"
          id="azimuts">
          <label class="btn btn-sm btn-outline-gray active"
            id="default-azimutes">
            <input type="radio"
              name="azimutes"
              value="0,360"
              autocomplete="off">
            {% trans "По-умолчанию (0:360)" %}
            </input>
          </label>
          <label class="btn btn-sm btn-outline-gray"
            id="custom-azimutes">
            <input type="radio"
              name="azimutes"
              value="custom"
              autocomplete="off">
            {% trans "Установить свои" %}
            </input>
          </label>
        </div>
      </div>
    </div>
  </div>
  <div class="satellite-table-wrapper">
    <table class="table hover"
      id="satellite-table">
      <thead>
        <tr>
          <th scope="col">{% trans "Приоритет" %}</th>
          <th scope="col">{% trans "Имя спутника" %}</th>
          <th scope="col">{% trans "UUID передатчика" %}</th>
          <th scope="col">{% trans "Частота передатчика" %}</th>
          <th scope="col">{% trans "Модуляция" %}</th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody class='ui-sortable'>
        {% if primary_schedule %}
        {% check_transmitter_schedule station=station schedule_satellite_json=primary_schedule as check_transmitter %}
        {% check_if_sat_is_dead schedule_satellite_json=primary_schedule as check_sat %}
        {% for satellite in primary_schedule %}
        <tr class="ui-sortable-handle"
          {% if not check_transmitter|lookup_with_key:satellite.transmitter_uuid %}
          style='color: #ff5050;'
          {% endif %}>
          <td class="index">{{satellite.prio}}
          </td>
          <td><a href="#"
              data-toggle="modal"
              data-target="#SatelliteModal"
              data-id="{{ satellite.norad_cat_id }}"
              data-sat-id="{{ satellite.sat_id }}">{{ satellite.sat_name }}</a>
            {% if not check_sat|lookup_with_key:satellite.sat_id %}
            <i class="bi bi-slash-circle"></i>
            {% endif %}
          </td>
          <td>{{satellite.transmitter_uuid}}</td>
          <td>{{satellite.transmitter_freq}}</td>
          <td>{{satellite.transmitter_mode}}</td>
          <td><button type="button"
              class="btn btm-sm btn-without-border-red delete-row-button"
              aria-hidden="true">&times;</button></td>
        </tr>
        {% endfor %}
        {% else %}
        <tr class="empty-schedule">
          <td colspan="6">{% trans "Расписание ещё не создано" %}</td>
        </tr>
        {% endif %}
      </tbody>
    </table>
  </div>
</div>